post

/v4/config/diff

Compute the diff between two config schemas. Returns an array of edit operations (insert/update/delete).

Request body

object
oldConfigany
required
The original campaign configuration.
newConfigany
required
The new campaign configuration to compare against.

Responses

200
Override value as JSON
Schema
object[]Override value as JSON
type"insert"
pathstring
valueany
Example
[
  {
    "type": "insert",
    "path": "string",
    "value": null
  }
]
post
https://api.merkl.xyz/v4/config/diff
Merkl API
curl -X POST "https://api.merkl.xyz/v4/config/diff" \
  -H "Content-Type: application/json" \
  -d '{ "oldConfig": null, "newConfig": null }'
Current params
{
  "body": {
    "oldConfig": null,
    "newConfig": null
  }
}
Live request — this will call https://api.merkl.xyz/ for real.